#!/usr/bin/bash

#now=`date '+%Y-%m-%d-%H-%M-%S'`
log=/root/SPC/spc2/audit/spc2_audit.out
cd /root/SPC/spc2

# Source environment variables
now=`date '+%Y-%m-%d %H:%M:%S'`
echo "$now : Sourcing environment variables." 
echo "+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++" 
source /root/SPC/spc2/spc2_env
pdsh -R ssh -w vxhost-[1-8] 'uptime' | sort >> $log
echo " " 

# Array Information
now=`date '+%Y-%m-%d %H:%M:%S'`
echo "$now : Array Information." >> $log
echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~" >> $log
ssh root@bolt46 'bash -s' < array_info.sh >> $log
echo " " >> $log
sleep 5

# SPC2 Persistence Read Process
now=`date '+%Y-%m-%d %H:%M:%S'`
echo "$now : SPC2 Persistence Read Process." >> $log
echo "++++++++++++++++++++++++++++++++++++++++++++++++++++++" >> $log
./spc2 -f persistense_read.par -o 7.persistence_read
echo " " >> $log

# Array Information
now=`date '+%Y-%m-%d %H:%M:%S'`
echo "$now : Array Information." >> $log
echo "~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~" >> $log
ssh root@bolt46 'bash -s' < array_info.sh >> $log
echo " " >> $log
now=`date '+%Y-%m-%d %H:%M:%S'`
echo "$now : SPC2 End." >> $log
echo "------------------------------------------------------" >> $log
sleep 5

# Backup log

now=`date '+%Y-%m-%d-%H-%M-%S'`
cp $log /root/SPC/spc2/audit/spc2_audit_$now.out
